Atualizando squid (2.7.9) para squid3-dev



  • Bom dia Sr.s

    Estou simulando a atualização do squid3-dev onde no meu ambiente de produção rodo atualmente o pfSense 2.1.4 com o squid 2.7.9.
    Um dos motivos para eu testar essa atualização é o bloqueio do HTTPS e outro porque meu squid todo dia ao meio dia ele para de funcionar os bloqueios  :-\

    Mas estou encontrando o seguinte erro quando desinstalo a versão 2.7.9 e coloco o squid3-dev.






  • A linha que diz não haver um copia ou processo do squid rodando é normal. A atualização para versão 3 geralmente dá erros devido  listas de sites com domínios repetidos.
    Verifique se o processo está rodando:

    ps ax | grep squid 
    

    em caso negativo, rode o comando:

    squid -k parse
    

    Esse comando vai ler o arquivo de configuração e as listas de sites, indicando erros; se não conseguir identificar o problema, após rodar o comando anterior, colete e poste o log "/var/squid/logs/cache.log".



  • Kelsen

    Encontrei o seguinte warning

    
    2014/08/04 11:46:54| /usr/pbi/squid-i386/etc/squid/squid.conf line 68: acl whitelist dstdom_regex -i "/var/squid/acl/whitelist.acl"
    2014/08/04 11:46:54| WARNING: there are more than 100 regular expressions. Consider using less REs or use rules without expressions like 'dstdomain'.
    
    

    @kelsen:

    A linha que diz não haver um copia ou processo do squid rodando é normal. A atualização para versão 3 geralmente dá erros devido  listas de sites com domínios repetidos.
    Verifique se o processo está rodando:

    ps ax | grep squid 
    

    em caso negativo, rode o comando:

    squid -k parse
    

    Esse comando vai ler o arquivo de configuração e as listas de sites, indicando erros; se não conseguir identificar o problema, após rodar o comando anterior, colete e poste o log "/var/squid/logs/cache.log".